Archive a maintenance window.
- Base URL
-
https://{kibana_url}
- POST /api/maintenance_window/{id}/_archive
- POST /s/{space_id}/api/maintenance_window/{id}/_archive
Required authorization
- Privileges write-maintenance-window
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Indicates a successful call.
-
created_bystringrequired nullable -
The identifier for the user that created the maintenance window.
-
enabledbooleanrequired -
Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.
-
scheduleobjectrequired -
customobjectrequired -
durationstringrequired -
The duration of the schedule. It allows values in
<integer><unit>format.<unit>is one ofd,h,m, orsfor hours, minutes, seconds. For example:1d,5h,30m,5000s. -
recurringobject
400
Indicates an invalid schema or parameters.
403
Indicates that this call is forbidden.
404
Indicates a maintenance window with the given ID does not exist.